Bug 625477 - Memory test never finishes
Memory test never finishes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
1.1
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Greg Nichols
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-19 10:49 EDT by Wayne Westerhold
Modified: 2011-04-13 08:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-13 08:59:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
run log (1.04 KB, application/octet-stream)
2010-08-19 10:49 EDT, Wayne Westerhold
no flags Details
output log (39.95 KB, application/octet-stream)
2010-08-19 10:52 EDT, Wayne Westerhold
no flags Details
results log (934.32 KB, text/xml)
2010-08-19 10:52 EDT, Wayne Westerhold
no flags Details
screenshot (283.69 KB, image/png)
2010-08-19 10:53 EDT, Wayne Westerhold
no flags Details

  None (edit)
Description Wayne Westerhold 2010-08-19 10:49:07 EDT
Created attachment 439704 [details]
run log

Description of problem:
Memory test never finishes

Version-Release number of selected component (if applicable):
v7-1.1-24.el5

How reproducible:
Every memory run

Steps to Reproduce:
1. Install RHEL5.5 x86_64
2. Install Cert Suite v7-1.1-24.el5
3. v7 run --test=memory
  
Actual results:
thread 215: 14259 loops
thread 216: 17094 loops
thread 217: 15959 loops
thread 218: 20660 loops
thread 219: 20401 loops
thread 220: 20466 loops
thread 221: 21096 loops
thread 222: 18298 loops
thread 223: 18974 loops
thread 224: 20503 loops
thread 225: 19252 loops
thread 226: 22320 loops
thread 227: 26118 loops
thread 228: 52006 loops
thread 229: 23462 loops
thread 230: 20467 loops
thread 231: 19526 loops
thread 232: 19403 loops
thread 233: 19017 loops
thread 234: 19226 loops
thread 235: 21300 loops
thread 236: 18913 loops
thread 237: 57756 loops
thread 238: 21162 loops
thread 239: 17071 loops
thread 240: 10950 loops
thread 241: 11194 loops
thread 242: 14155 loops
thread 243: 15005 loops
thread 244: 15200 loops
thread 245: 14401 loops
thread 246: 37644 loops
thread 247: 11968 loops
thread 248: 17771 loops
thread 249: 18778 loops
thread 250: 21717 loops
thread 251: 21643 loops
thread 252: 20555 loops
thread 253: 20936 loops
thread 254: 20457 loops
thread 255: 17870 loops
Total loops per second: 25235.46
Testing complete.
done.
running for free memory

Expected results:
Memory test finishes with results.

Additional info:
x3850 x5 (2-node) with 512GB of memory. Also tried running 1TB with same results.
The memory test doesn't look like it wants to release memory in the swap file.
Note: The memory test runs without any issues and finishes with v7-1.2-16.el5 alpha-4
Comment 1 Wayne Westerhold 2010-08-19 10:52:01 EDT
Created attachment 439705 [details]
output log
Comment 2 Wayne Westerhold 2010-08-19 10:52:44 EDT
Created attachment 439706 [details]
results log
Comment 3 Wayne Westerhold 2010-08-19 10:53:07 EDT
Created attachment 439707 [details]
screenshot
Comment 4 Rob Landry 2010-11-18 16:49:09 EST
The memory test has been updated in the latest 1.2-25; which may resolves this issue.  It was tested to 1TB and beyond on RHEL6; can the above be repeated on RHEL5 to verify the fix?

Note You need to log in before you can comment on or make changes to this bug.